Bug 727331 - /usr/bin/complete-ant-cmd.pl lacks executable permissions
Summary: /usr/bin/complete-ant-cmd.pl lacks executable permissions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ant
Version: 15
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tomas Radej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-01 20:29 UTC by Jerry James
Modified: 2011-11-30 01:57 UTC (History)
5 users (show)

Fixed In Version: ant-1.8.2-4.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-30 01:57:14 UTC


Attachments (Terms of Use)

Description Jerry James 2011-08-01 20:29:51 UTC
Description of problem:
I have bash-completion installed, and tried to tab-complete an ant command, as follows:

$ ant -f plugins/linux/s[tab]
bash: /usr/bin/complete-ant-cmd.pl: Permission denied
$ ls -l /usr/bin/complete-ant-cmd.pl
-rw-r--r--. 1 root root 3219 Dec 20  2010 /usr/bin/complete-ant-cmd.pl

Version-Release number of selected component (if applicable):
ant-scripts-1.8.2-3.fc15.noarch

How reproducible:
Always

Steps to Reproduce:
1. Type "ant -f ", then type a partial pathname.
2. Press the Tab key.
3.
  
Actual results:
Bash complains that it cannot execute /usr/bin/complete-ant-cmd.pl.

Expected results:
Completion of the partial pathname.

Additional info:

Comment 1 Tomas Radej 2011-11-21 13:24:04 UTC
Hi, I am on this. I have a patch ready and currently I am waiting for commit rights to push the changes.

Comment 2 Fedora Update System 2011-11-21 16:22:29 UTC
ant-1.8.2-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ant-1.8.2-4.fc15

Comment 3 Fedora Update System 2011-11-21 22:55:59 UTC
Package ant-1.8.2-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ant-1.8.2-4.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16230/ant-1.8.2-4.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-11-30 01:57:14 UTC
ant-1.8.2-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.